WAComponent subclass: #AdminAddCombinado
	instanceVariableNames: 'combinado'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminAddCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:04'!
combinado: umCombinado

combinado:= umCombinado.! !

!AdminAddCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:03'!
mostraCombinado: html
	| pratos iatual atual cardapio|
	html strong: 'Novo combinado:'.
	html break.	html break.	
	pratos := combinado pratos.
	iatual:=1.
	pratos = nil 
	ifFalse:[
		[iatual <= pratos size] whileTrue:[
			atual:= pratos at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text:'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html anchor callback: [combinado removePrato: atual.]; with: 'Remover'.
			html break.
			combinado preco: combinado getPreco.
		].
		html form: [
		html table: [
			html tableRow: [
				html tableData: 'Nome:'.
				html tableData: [html textInput on: #nome of: combinado]].
				html tableRow: [
				html tableData: 'Preco: R$'.
				html tableData: [html textInput on: #preco of: combinado]].
		].
			html submitButton callback: [
			 combinado preco: (combinado preco) asNumber.
			 cardapio := Cardapio getInstance.
			cardapio adicionaCombinado: combinado.
			 self call: (AdminView new).]; text: 'Concluir'.
	].	

	].
	html anchor callback: [self call: (AdminView new).]; with: 'Cancelar'.
	
! !

!AdminAddCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:00'!
mostraPratos: html
	| pratos iatual atual cardapio |
	cardapio:= Cardapio getInstance.
	html strong: 'Pratos:'.	
	html break.html break.	
	pratos:= cardapio listaDePratos.
	iatual:=1.
	[iatual <= pratos size] whileTrue:[
	atual:= pratos at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	html text: atual calorias.
	html space.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco *100)asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [combinado addPrato: atual.]; text: 'Adicionar ao combinado.'.
		html break.
		html break.].
	].! !

!AdminAddCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:05'!
renderContentOn: html
		html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'pratos'; with: [ self mostraPratos: html ].
			html tableData id:'comb'; with: [self mostraCombinado: html].

			
		].
		].
! !

!AdminAddCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:05'!
style
^ '
	#pratos {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#comb {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #AdminAddIngrediente
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminAddIngrediente methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 03:53'!
admin
	|cardapio|
	cardapio := Cardapio getInstance.
	"entra na area de administrador"
	self call: (AdminView new cardapio: cardapio; yourself).! !

!AdminAddIngrediente methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:36'!
renderContentOn: html
	|novoIngred cardapio|
	html heading:'Adicionando novo ingrediente'.
	novoIngred := Ingrediente new.
	cardapio := CardapioIngredientes getInstance.
	html form: [
		html table: [
			html tableRow: [
				html tableData: 'Nome do ingrediente:'.
				html tableData: [html textInput on: #nome of: novoIngred]].
				html tableRow: [
				html tableData: 'Preco: R$'.
				html tableData: [html textInput on: #preco of: novoIngred]].
			html tableRow: [
				html tableData: 'Caloria:'.
				html tableData: [html textInput on: #calorias of: novoIngred]].
		].html submitButton callback: [
			 novoIngred preco: novoIngred preco asNumber.
			 novoIngred calorias: novoIngred calorias asNumber.
               cardapio adiciona: novoIngred.
			 self admin]; text: 'Adicionar'.
	].	
! !


WAComponent subclass: #AdminAddPrato
	instanceVariableNames: 'prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminAddPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 04:23'!
mostraIngredientes: html
	| ingredientes iatual atual cardapio |
	cardapio:= CardapioIngredientes getInstance.
	html strong: 'Ingredientes:'.	
	html break.html break.	
	ingredientes:= cardapio listaDeIngredientes.
	iatual:=1.
	[iatual <= ingredientes size] whileTrue:[
	atual:= ingredientes at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	html text: atual calorias.
	html space.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco *100)asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [prato addIngrediente: atual.]; text: 'Adicionar ao prato.'.
		html break.
		html break.].
	].! !

!AdminAddPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:36'!
mostraPrato: html
	| ingredientes iatual atual cardapio|
	html strong: 'Novo prato:'.
	html break.	html break.	
	ingredientes := prato ingredientes.
	iatual:=1.
	ingredientes = nil 
	ifFalse:[
		[iatual <= ingredientes size] whileTrue:[
			atual:= ingredientes at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text:'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html anchor callback: [prato removeIngrediente: atual.]; with: 'Remover'.
			html break.
			prato preco: prato getPreco.
		].
		html form: [
		html table: [
			html tableRow: [
				html tableData: 'Nome:'.
				html tableData: [html textInput on: #nome of: prato]].
				html tableRow: [
				html tableData: 'Preco: R$'.
				html tableData: [html textInput on: #preco of: prato]].
		].
			html submitButton callback: [
			 prato preco: (prato preco) asNumber.
			 cardapio := Cardapio getInstance.
			cardapio adicionaPrato: prato.
			 self call: (AdminView new).]; text: 'Concluir'.
	].	

	].
	html anchor callback: [self call: (AdminView new).]; with: 'Cancelar'.
	
! !

!AdminAddPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 04:27'!
prato: umPrato

prato:= umPrato.! !

!AdminAddPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 04:26'!
renderContentOn: html
		html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'ingredientes'; with: [ self mostraIngredientes: html ].
			html tableData id:'prato'; with: [self mostraPrato: html].

			
		].
		].
! !

!AdminAddPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 04:11'!
style
^ '
	#ingredientes {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#prato {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #AdminEditCombinado
	instanceVariableNames: 'combinado'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminEditCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:55'!
combinado: umCombinado

combinado:= umCombinado.! !

!AdminEditCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:52'!
mostraCombinado: html
	| pratos iatual atual|
	html strong: 'Editar combinado:'.
	html break.	html break.	
	pratos := combinado pratos.
	iatual:=1.
	pratos = nil  
	ifFalse:[
		[iatual <= pratos size] whileTrue:[
			atual:= pratos at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text:'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html anchor callback: [combinado remove: atual. ]; with: 'Remover'.
			html break.
			combinado preco: combinado getPreco.
		].
		html form: [
		html table: [
			html tableRow: [
				html tableData: 'Nome:'.
				html tableData: [html textInput on: #nome of: combinado]].
				html tableRow: [
				html tableData: 'Preco: R$'.
				html tableData: [html textInput on: #preco of: combinado]].
		].
			html submitButton callback: [
			 combinado preco: (combinado preco) asNumber.
			 combinado AtualizaCalorias.
			 self call: (AdminView new).]; text: 'Concluir'.
	].	

	].
	html anchor callback: [self call: (AdminView new).]; with: 'Cancelar'.
	
! !

!AdminEditCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:48'!
mostraPratos: html
	| pratos iatual atual cardapio |
	cardapio:= Cardapio getInstance.
	html strong: 'Pratos:'.	
	html break.html break.	
	pratos:= cardapio listaDePratos.
	iatual:=1.
	[iatual <= pratos size] whileTrue:[
	atual:= pratos at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	html text: atual calorias.
	html space.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco *100)asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [combinado addPrato: atual.]; text: 'Adicionar ao combinado.'.
		html break.
		html break.].
	].! !

!AdminEditCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:56'!
renderContentOn: html
		html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'pratos'; with: [ self mostraPratos: html ].
			html tableData id:'combinado'; with: [self mostraCombinado: html].

			
		].
		].
! !

!AdminEditCombinado methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:56'!
style
^ '
	#pratos {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#combinado {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #AdminEditPrato
	instanceVariableNames: 'prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminEditPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 05:34'!
mostraIngredientes: html
	| ingredientes iatual atual cardapio |
	cardapio:= CardapioIngredientes getInstance.
	html strong: 'Ingredientes:'.	
	html break.html break.	
	ingredientes:= cardapio listaDeIngredientes.
	iatual:=1.
	[iatual <= ingredientes size] whileTrue:[
	atual:= ingredientes at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	html text: atual calorias.
	html space.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco *100)asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [prato addIngrediente: atual.]; text: 'Adicionar ao prato.'.
		html break.
		html break.].
	].! !

!AdminEditPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 06:03'!
mostraPrato: html
	| ingredientes iatual atual|
	html strong: 'Editar prato:'.
	html break.	html break.	
	ingredientes := prato ingredientes.
	iatual:=1.
	ingredientes = nil  
	ifFalse:[
		[iatual <= ingredientes size] whileTrue:[
			atual:= ingredientes at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text:'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html anchor callback: [prato remove: atual. ]; with: 'Remover'.
			html break.
			prato preco: prato getPreco.
		].
		html form: [
		html table: [
			html tableRow: [
				html tableData: 'Nome:'.
				html tableData: [html textInput on: #nome of: prato]].
				html tableRow: [
				html tableData: 'Preco: R$'.
				html tableData: [html textInput on: #preco of: prato]].
		].
			html submitButton callback: [
			 prato preco: (prato preco) asNumber.
			 prato AtualizaCalorias.
			 self call: (AdminView new).]; text: 'Concluir'.
	].	

	].
	html anchor callback: [self call: (AdminView new).]; with: 'Cancelar'.
	
! !

!AdminEditPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 05:34'!
prato: umPrato

prato:= umPrato.! !

!AdminEditPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 05:34'!
renderContentOn: html
		html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'ingredientes'; with: [ self mostraIngredientes: html ].
			html tableData id:'prato'; with: [self mostraPrato: html].

			
		].
		].
! !

!AdminEditPrato methodsFor: 'as yet unclassified' stamp: 'idl 6/8/2007 05:34'!
style
^ '
	#ingredientes {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#prato {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #AdminView
	instanceVariableNames: 'cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/6/2007 21:15'!
cardapio: umCardapio
	"set cardapio"
	cardapio:= umCardapio.! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:29'!
mostraCardapio: html 
	| pratos iatual atual ingredienteAtual listadeIngred indiceIngrediente |
	cardapio := Cardapio getInstance.
	html heading: 'Pratos:'.
	html break.
	html break.
	pratos := cardapio listaDePratos.
	iatual := 1.
	[iatual <= pratos size]
		whileTrue: [atual := pratos at: iatual.
			iatual := iatual + 1.
			html strong: atual nome.
			html space.
			html space.
			html anchor
				callback: [cardapio removePrato: atual.
					self call: AdminView new];
				 with: 'Remover'.
			html space.
			html space.
			html anchor
				callback: [self
						call: (AdminEditPrato new prato: atual)];
				 with: 'Editar'.
			html break.
			listadeIngred := atual ingredientes.
			indiceIngrediente := 1.
			[indiceIngrediente <= listadeIngred size]
				whileTrue: [ingredienteAtual := listadeIngred at: indiceIngrediente.
					indiceIngrediente := indiceIngrediente + 1.
					html text: ingredienteAtual nome.
					html break].
			html strong: atual calorias printString.
			html space.
			html strong: 'calorias.'.
			html break.
			html text: 'R'.
			html text: atual precoEmCentavos printStringAsCents.
			html space.
			html space.
			html break.
			html break]!
]style[(16 4 4 69 4 8 4 8 15 4 10 9 3 4 9 4 9 6 4 8 17 6 4 1 4 6 4 6 21 5 4 6 5 6 5 6 4 6 3 1 5 4 9 5 10 4 11 4 11 4 23 8 14 5 7 4 7 9 18 9 5 4 11 4 11 4 23 4 14 14 12 5 15 8 5 4 11 13 4 5 18 17 4 1 6 17 4 13 23 16 4 13 5 17 7 17 4 17 3 1 7 4 7 16 12 4 12 4 9 5 26 4 11 4 9 11 5 4 11 4 7 3 5 4 7 5 40 4 11 4 11 4 11 4 7)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:29'!
mostraCombinados: html 
	| combinados iatual atual pratoAtual listadePratos indicePrato |
	cardapio := Cardapio getInstance.
	html heading: 'Combinados:'.
	html break.
	html break.
	combinados := cardapio listaDeCombinados.
	iatual := 1.
	[iatual <= combinados size]
		whileTrue: [atual := combinados at: iatual.
			iatual := iatual + 1.
			html strong: atual nome.
			html space.
			html space.
			html anchor
				callback: [cardapio removeCombinado: atual.
					self call: AdminView new];
				 with: 'Remover'.
			html space.
			html space.
			html anchor
				callback: [cardapio desativa: atual];
				 with: 'Desativar'.
			html space.
			html space.
			html anchor
				callback: [self
						call: (AdminEditCombinado new combinado: atual)];
				 with: 'Editar'.
			html break.
			listadePratos := atual pratos.
			indicePrato := 1.
			[indicePrato <= listadePratos size]
				whileTrue: [pratoAtual := listadePratos at: indicePrato.
					indicePrato := indicePrato + 1.
					html text: pratoAtual nome.
					html break].
			html strong: atual calorias printString.
			html space.
			html strong: 'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco * 100) asInteger printStringAsCents.
			html space.
			html space.
			html break.
			html break]!
]style[(18 4 4 61 4 8 4 8 15 4 10 13 3 4 9 4 9 10 4 8 21 6 4 1 4 6 4 10 21 5 4 10 5 6 5 6 4 6 3 1 5 4 9 5 10 4 11 4 11 4 23 8 18 5 7 4 7 9 18 9 5 4 11 4 11 4 23 8 11 5 14 11 5 4 11 4 11 4 23 4 14 18 16 5 15 8 5 4 11 13 4 5 12 11 4 1 6 11 4 13 23 10 4 13 5 11 7 11 4 11 3 1 7 4 7 10 12 4 12 4 9 5 26 4 11 4 9 11 5 4 11 4 7 3 5 4 8 5 9 3 35 4 11 4 11 4 11 4 7)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:28'!
mostraDesativados: html 
	| combinados iatual atual pratoAtual listadePratos indicePrato |
	cardapio := Cardapio getInstance.
	html heading: 'Combinados desativados:'.
	html break.
	html break.
	combinados := cardapio listaDeCombinadosDesativados.
	iatual := 1.
	[iatual <= combinados size]
		whileTrue: [atual := combinados at: iatual.
			iatual := iatual + 1.
			html strong: atual nome.
			html space.
			html space.
			html anchor
				callback: [cardapio removeCombinadoDesativado: atual.
					self call: AdminView new];
				 with: 'Remover'.
			html space.
			html space.
			html anchor
				callback: [cardapio ativa: atual];
				 with: 'Ativar'.
			html space.
			html space.
			html anchor
				callback: [self
						call: (AdminEditCombinado new combinado: atual)];
				 with: 'Editar'.
			html break.
			listadePratos := atual pratos.
			indicePrato := 1.
			[indicePrato <= listadePratos size]
				whileTrue: [pratoAtual := listadePratos at: indicePrato.
					indicePrato := indicePrato + 1.
					html text: pratoAtual nome.
					html break].
			html strong: atual calorias printString.
			html space.
			html strong: 'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco * 100) asInteger printStringAsCents.
			html space.
			html space.
			html break.
			html break]!
]style[(19 4 4 61 4 8 4 8 15 4 10 25 3 4 9 4 9 10 4 8 32 6 4 1 4 6 4 10 21 5 4 10 5 6 5 6 4 6 3 1 5 4 9 5 10 4 11 4 11 4 23 8 28 5 7 4 7 9 18 9 5 4 11 4 11 4 23 8 8 5 14 8 5 4 11 4 11 4 23 4 14 18 16 5 15 8 5 4 11 13 4 5 12 11 4 1 6 11 4 13 23 10 4 13 5 11 7 11 4 11 3 1 7 4 7 10 12 4 12 4 9 5 26 4 11 4 9 11 5 4 11 4 7 3 5 4 8 5 9 3 35 4 11 4 11 4 11 4 7)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:28'!
mostraIngredientes: html 
	| listadeingredientes ingredientes iatual atual |
	listadeingredientes := CardapioIngredientes getInstance.
	html heading: 'Ingredientes:'.
	html break.
	html break.
	ingredientes := listadeingredientes listaDeIngredientes.
	iatual := 1.
	[iatual <= ingredientes size]
		whileTrue: [atual := ingredientes at: iatual.
			iatual := iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text: 'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco * 100) asInteger printStringAsCents.
			html space.
			html anchor
				callback: [listadeingredientes remove: atual];
				 with: 'Remover'.
			html break.
			html break]!
]style[(20 4 4 46 4 19 4 20 15 4 10 15 3 4 9 4 9 12 4 19 23 6 4 1 4 6 4 12 21 5 4 12 5 6 5 6 4 6 3 1 5 4 9 5 10 4 11 4 7 5 14 4 11 4 11 4 7 11 5 4 11 4 7 3 5 4 8 5 9 3 35 4 11 4 23 19 9 5 14 9 5 4 11 4 7)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 12:14'!
renderContentOn: html
	html strong: 'Area de administracao do restaurante'.
	html break.
	html anchor callback: [self call: (AdminAddCombinado new combinado:Combinado new).]; with: 'Adicionar combinado'.
	html space.
	html space.
	html anchor callback: [self call: (AdminAddPrato new prato:Prato new).]; with: 'Adicionar prato'.
	html space.
	html space.
	html anchor callback: [self call: (AdminAddIngrediente new).]; with: 'Adicionar ingrediente'.
	html space.
	html space.
	html anchor callback: [self call: (RoboView new).]; with: 'Mensagens do robo'.
	html space.
	html space.
	html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
	html break.
		

	html table: [
	html tableRow: [
			html tableData id:'combinados'; with: [self mostraCombinados: html].
			html tableData id:'desativados'; with: [self mostraDesativados: html].
			html tableData id:'pratos'; with: [ self mostraCardapio: html ].
			html tableData id:'ingredientes'; with: [self mostraIngredientes: html].

			
		].
		].
! !

!AdminView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 01:05'!
style
^ '
	#pratos {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 20%;  background-color: lightgrey}
	#ingredientes {border-style: dashed; border-width: 1;  font-size: 12pt;vertical-align: top; width: 20%}
	#combinados {border-style: dashed; border-width: 1;  font-size: 12pt; background-color: lightgrey;vertical-align: top; width: 20%}
	#desativados {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 20%}
'! !


WAComponent subclass: #CardapioView
	instanceVariableNames: 'prato pedido cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!CardapioView methodsFor: 'actions' stamp: 'idl 6/5/2007 17:58'!
addToPedido
	pedido add: prato.! !

!CardapioView methodsFor: 'actions' stamp: 'idl 6/10/2007 02:30'!
renderContentOn: html 
	| atual iatual pratos |
	pratos := cardapio listaDePratos.
	iatual := 1.
	[iatual <= pratos size]
		whileTrue: [atual := pratos at: iatual.
			iatual := iatual + 1.
			html heading: atual nome.
			html text: atual getIngredientes.
			html space.
			html text: atual getPreco printStringAsCents]!
]style[(17 4 4 20 4 6 4 8 17 6 4 1 4 6 4 6 21 5 4 6 5 6 5 6 4 6 3 1 5 4 10 5 10 4 7 5 21 4 11 4 7 5 29)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2! !


!CardapioView methodsFor: 'accessing' stamp: 'idl 6/5/2007 17:52'!
pedido: umPedido
	pedido := umPedido.! !

!CardapioView methodsFor: 'accessing' stamp: 'idl 6/5/2007 17:52'!
prato: umPrato
	prato := umPrato! !




!CardapioView methodsFor: 'as yet unclassified' stamp: 'idl 6/6/2007 21:05'!
cardapio: umCardapio
	"set  cardapio"
	cardapio:= umCardapio.! !


WAComponent subclass: #FecharPedidoView
	instanceVariableNames: 'pedido pago'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 21:15'!
calcula
! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:28'!
Paga: html 
	| total geradoraDesc valorDesc |
	geradoraDesc := GeradoraDeCupom getInstance.
	total := pedido precoAtual * (1 - pedido desconto).
	pedido cpf isNil
		ifFalse: [valorDesc := geradoraDesc geraRegistroDesc: pedido cpf valor: total.
			valorDesc > 0
				ifTrue: [html text: 'Voce tera direito a'.
					html space.
					html text: valorDesc printString.
					html text: ' por cento de desconto na proxima compra.'.
					html break]].
	html heading: 'Concluindo pedido'.
	html break.
	html space.
	html strong: 'Preco Total: '.
	html space.
	html text: 'R'.
	html text: (total * 100) asInteger printStringAsCents.
	html
		form: [html
				table: [html
						tableRow: [html tableData: 'Pago: R$'.
							html
								tableData: [html textInput on: #pago of: self]]].
			html submitButton
				callback: [pago := pago asNumber];
				 text: 'Confirmar']!
]style[(6 4 4 29 4 12 4 15 15 5 4 6 15 1 3 6 13 6 23 9 4 12 19 6 12 5 5 9 3 1 14 4 7 21 7 4 13 4 7 9 19 4 7 43 7 4 11 4 10 19 3 4 9 4 9 4 9 15 3 4 9 4 7 3 3 4 8 5 3 3 33 4 10 4 13 4 18 4 12 10 9 4 21 4 15 5 5 4 8 4 29 4 4 4 23 11 1)f2b,f2cblue;b,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cmagenta;,f2,f2c202202126,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cblue;i,f2,f2cblue;i,f2,f2c202202126,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cmagenta;,f2,f2c202202126,f2! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 21:08'!
pago
^ pago.! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 21:08'!
pago: umValor
pago:= umValor.! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 20:57'!
pedido:umPedido
pedido:= umPedido.
! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 12:16'!
prepara
	|cont|
	cont:=1.
	[cont < pedido listaDePratos size] whileTrue:[
		(pedido listaDePratos at:cont) prepareSe.
		cont:= cont+1.
	].! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/13/2007 23:54'!
Resultado: html 
	| total |
	total := pedido precoAtual* (1 - pedido desconto).
	html break.
	pago = nil ifFalse:[
	html space.
	pago > total
		ifTrue: [html space.
			html strong: 'Troco: R'.
			html strong: ((pago - total) * 100) asInteger printStringAsCents.
			html break.
			html anchor callback: [self prepara. self call: (Principal new).] ;with: 'Preparar'. 	html space.
	html space.].
	pago = total
	ifTrue:[ html strong: 'Pagamento efetuado!!'. html break.
			html anchor callback: [self prepara.self call: (Principal new).] ;with: 'Preparar'. 	html space.
	html space.].
		pago < total
		ifTrue: [html space.
			html strong: 'Dinheiro insuficiente!!'.
			html break.
			pago := nil].].! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:31'!
renderContentOn: html
          html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html break. 
		html break. 
		(pedido listaDePratos) = nil ifTrue:[html anchor callback: [self call: (Principal new).]; with: 'Pedido vazio, clique aqui para voltar a tela principal'.]
		ifFalse:[	
		html table: [
		html tableRow: [
			html tableData id:'paga'; with: [ self Paga: html ].
			html tableData id:'resu'; with: [self Resultado: html].
		].
		]].
! !

!FecharPedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 21:28'!
style
^ '
	#paga {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#resu {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #Intro
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!Intro methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 17:40'!
renderContentOn: html
		self setUp.
	     html anchor callback: [	self call: (Principal new).]; with: 'Iniciar'. 
! !

!Intro methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 01:52'!
setUp
	|xBurguer salada cardapio cardingred|
	cardapio := Cardapio resetInstance.
	cardingred := CardapioIngredientes resetInstance.
	GeradoraDeCupom resetInstance.
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Intro class
	instanceVariableNames: ''!

!Intro class methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 17:39'!
canBeRoot
	^ true.! !


WAComponent subclass: #PedidoAddMontado
	instanceVariableNames: 'prato pedido'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 08:57'!
mostraIngredientes: html
	| ingredientes iatual atual cardapio |
	cardapio:= CardapioIngredientes getInstance.
	html strong: 'Ingredientes:'.	
	html break.html break.	
	ingredientes:= cardapio listaDeIngredientes.
	iatual:=1.
	[iatual <= ingredientes size] whileTrue:[
	atual:= ingredientes at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	html text: atual calorias.
	html space.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco *100)asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [prato addIngrediente: atual.]; text: 'Adicionar ao prato.'.
		html break.
		html break.].
	].! !

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 09:11'!
mostraPrato: html
	| ingredientes iatual atual|
	html strong: 'Novo prato:'.
	html break.	html break.	
	ingredientes := prato ingredientes.
	iatual:=1.
	ingredientes = nil 
	ifFalse:[
		[iatual <= ingredientes size] whileTrue:[
			atual:= ingredientes at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html break.
			html text: atual calorias.
			html space.
			html space.
			html text:'calorias.'.
			html break.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html anchor callback: [prato removeIngrediente: atual.]; with: 'Remover'.
			html break.
			prato preco: prato getPreco.
		].
		html form: [
		html table: [
			html tableRow: [
				prato nome: 'Prato Montado'.
				html tableData: 'Nome:'.
				html tableData: [html textInput on: #nome of: prato]].
				html strong: 'Preco: R'.
				html strong: (prato preco *100) asInteger printStringAsCents.
		].
			html submitButton callback: [
			 prato preco: (prato preco) asNumber.
			 pedido adiciona: prato.
			 self call: (PedidoView new pedido:pedido).]; text: 'Concluir'.
	].	

	].
	html anchor callback: [self call: (AdminView new).]; with: 'Cancelar'.
	
! !

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 09:05'!
pedido: umPedido
	pedido:= umPedido.! !

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 08:57'!
prato: umPrato

prato:= umPrato.! !

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 08:57'!
renderContentOn: html
		html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'ingredientes'; with: [ self mostraIngredientes: html ].
			html tableData id:'prato'; with: [self mostraPrato: html].

			
		].
		].
! !

!PedidoAddMontado methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 08:57'!
style
^ '
	#ingredientes {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#prato {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #PedidoIntroView
	instanceVariableNames: 'pedido'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!PedidoIntroView methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 23:58'!
admin
	|cardapio|
	cardapio := Cardapio getInstance.
	"entra na area de administrador"
	self call: (AdminView new cardapio: cardapio; yourself).! !

!PedidoIntroView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 00:16'!
pedido: umPedido
	pedido:=umPedido.
	pedido maxCalorias: 0.
! !

!PedidoIntroView methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 02:27'!
renderContentOn: html
	| gerCupom |
	gerCupom:= GeradoraDeCupom getInstance.
	html heading:'Adicionando novo ingrediente'.
	html form: [
		html table: [
			html tableRow: [
				html tableData: 'Digite seu CPF, caso voce tenha um desconto ou queira ter direito a um:'.
				html tableData: [html textInput on: #cpf of: pedido]].
				html tableRow: [
				html tableData: 'Digite o numero maximo de calorias do pedido, ou deixe 0 para nao haver limitacao'.
				html tableData: [html textInput on: #maxCalorias of: pedido]].
		].html submitButton callback: [
			 pedido maxCalorias: (pedido maxCalorias) asNumber.
			 pedido desconto: (gerCupom consultaDesconto: pedido cpf).
			 self call: (PedidoView new pedido: pedido).]; text: 'Iniciar pedido'.
	].	
! !


WAComponent subclass: #PedidoView
	instanceVariableNames: 'pedido cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:32'!
displayItems
	|prato list |
	cardapio:= Cardapio getInstance.
	prato:= cardapio listaDePratos.
	prato size = 1 ifTrue: [^ self displayItem: prato first].
	list := WABatchSelection
			 items: prato
			 link: #nome
			 text: #getIngredientes.
	[self displayItem: (self call: list)] repeat! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/9/2007 22:32'!
displayItems: umCardapio
	|prato list |
	prato:= cardapio listaDePratos.
	prato size = 1 ifTrue: [^ self displayItem: prato first].
	list := WABatchSelection
			 items: prato
			 link: #nome
			 text: #getIngredientes.
	[self displayItem: (self call: list)] repeat! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 17:52'!
displayItem: umPrato
    self call: (PratoView new prato: umPrato; pedido: pedido; yourself).! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 20:55'!
fecharPedido: html
		|total|
		total:= pedido precoAtual.
		html heading: 'Concluindo pedido.'.
		html break.
		html strong: 'Preco Total: '.
		html space.
		html text: ((total*100) asInteger) printStringAsCents.
        ! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 09:09'!
mostraCardapio: html
	|pratoatual listadePratos indicePrato combinados pratos iatual atual listadeIngred indiceIngrediente ingredienteAtual |
	cardapio:= Cardapio getInstance.

	pedido desconto = 0 ifTrue:[
		html strong: ' CPF sem desconto '.
		html break.	
	].
	pedido desconto > 0 ifTrue:[
		html strong: ' Voce possui desconto de'.
		html space.
		html strong: (pedido desconto * 100) asInteger printString.
		html space.
		html strong: 'por cento.'.
		html break.	
	].
	html strong: 'Cardapio:'.
	html break.	
	html break.html break.	
	pratos:= cardapio listaDePratos.
	iatual:=1.
	[iatual <= pratos size] whileTrue:[
	atual:= pratos at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	listadeIngred:=  atual ingredientes.
	indiceIngrediente:=1.
	[indiceIngrediente <= listadeIngred size] whileTrue:[
		ingredienteAtual:= listadeIngred at: indiceIngrediente.
		indiceIngrediente:= indiceIngrediente +1.
		html text: ingredienteAtual nome.
		html break.
     ].
	html text: atual calorias printString.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: atual precoEmCentavos printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [pedido adiciona: atual.]; text: 'Adicionar ao pedido.'.
		html break.
		html break.].
	].


	html strong: 'Combinados:'.	
	html break.html break.	
	combinados:= cardapio listaDeCombinados.
	iatual:=1.
	[iatual <= combinados size] whileTrue:[
	atual:= combinados at: iatual.
	iatual:= iatual + 1.
	html strong: atual nome.
	html break.
	listadePratos:= atual pratos.
	indicePrato:=1.
	[indicePrato <= listadePratos size] whileTrue:[
		pratoatual:= listadePratos at: indicePrato.
		indicePrato:= indicePrato +1.
		html text: pratoatual nome.
		html break.
     ].
	html text: atual calorias printString.
	html space.
	html text: 'calorias.'.
	html break.
	html text: 'R'.
	html text: (atual preco*100) asInteger printStringAsCents.
	html break.
		html form: [
		html submitButton callback: [pedido adiciona: atual.]; text: 'Adicionar ao pedido.'.
		html break.
		html break.].
	].
	html anchor callback:[self call: (PedidoAddMontado new pedido:pedido; prato: Prato new).]; with: 'Adicionar prato montado.'.
	html break.! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 08:54'!
mostraPedido: html
	| pratos iatual atual |
	html strong: 'Seu pedido:'.
	html break.	html break.	
	pratos:= pedido listaDePratos.
	iatual:=1.
	pratos = nil 
	ifFalse:[
		[iatual <= pratos size] whileTrue:[
			atual:= pratos at: iatual.
			iatual:= iatual + 1.
			html strong: atual nome.
			html space.
			html text: 'R'.
			html text: (atual preco*100) asInteger printStringAsCents.
			html space. html space.
			html text: atual calorias printString.
			html space.
			html text: 'calorias.'.
			html space.
			html anchor callback: [pedido removePrato: atual.]; with: 'Remover'.
			html break.
		].
	].
	html break.
	html break.
	pratos = nil ifFalse:[
	((pedido getCalorias > pedido maxCalorias) & (pedido maxCalorias > 0)) ifTrue:[
		html strong:'Voce excedeu'.
		html space.
		html strong: (pedido getCalorias - pedido maxCalorias) printString.
		html space.
		html strong: ' do limite de calorias.'.
		html break.] ifFalse:[
	html anchor callback: [self call: (FecharPedidoView new pedido:pedido ;yourself).]; with: 'Concluir'.
	html space.].].
	html anchor callback: [self call: (Principal new).]; with: 'Cancelar'.
	
! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 18:00'!
pedido: umPedido
pedido:= umPedido.! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 20:20'!
renderContentOn: html
          html anchor callback: [self call: (Principal new).]; with: 'Voltar ao menu principal'.
		html table: [
		html tableRow: [
			html tableData id:'card'; with: [ self mostraCardapio: html ].
			html tableData id:'cart'; with: [self mostraPedido: html].

			
		].
		].
! !

!PedidoView methodsFor: 'as yet unclassified' stamp: 'idl 6/7/2007 20:27'!
style
^ '
	#card {border-style: dashed; vertical-align: top; border-width: 1;  font-size: 12pt; width: 85%}
	#cart {background-color: lightgrey;vertical-align: top; width: 15%}
'! !


WAComponent subclass: #PratoView
	instanceVariableNames: 'prato pedido cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!PratoView methodsFor: 'actions' stamp: 'idl 6/9/2007 23:45'!
addToPedido
	pedido adiciona: prato.! !

!PratoView methodsFor: 'actions' stamp: 'idl 6/6/2007 20:58'!
renderContentOn: html
	html heading level3; with: prato nome.
	html paragraph: prato getIngredientes.
	html emphasis: 'R'.
	html emphasis: prato getPreco printStringAsCents.
	html form: [
		html submitButton callback: [self addToPedido]; text: 'Comprar e comer!!'.
		html space.]! !


!PratoView methodsFor: 'accessing' stamp: 'idl 6/6/2007 18:54'!
pedido: umPedido
	pedido := umPedido.! !

!PratoView methodsFor: 'accessing' stamp: 'idl 6/6/2007 18:54'!
prato: umPrato
	prato := umPrato! !


!PratoView methodsFor: 'as yet unclassified' stamp: 'idl 6/6/2007 18:54'!
cardapio: umCardapio
	"comment stating purpose of message"
	cardapio:= umCardapio.! !


WAComponent subclass: #Principal
	instanceVariableNames: 'cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!Principal methodsFor: 'as yet unclassified' stamp: 'idl 6/6/2007 21:15'!
admin
	"entra na area de administrador"
	self call: (AdminView new cardapio: cardapio; yourself).
! !

!Principal methodsFor: 'as yet unclassified' stamp: 'idl 6/10/2007 00:17'!
renderContentOn: html
		cardapio := Cardapio getInstance.
		html anchor callback: [self call:(PedidoIntroView new pedido: Pedido new).]; with: 'Novo pedido'.
		html break.
		html anchor callback: [self admin]; with: 'Gerente'.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Principal class
	instanceVariableNames: ''!

!Principal class methodsFor: 'as yet unclassified' stamp: 'idl 6/5/2007 11:41'!
canBeRoot
	^ true.


! !


WAComponent subclass: #RoboView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Fase2View'!

!RoboView methodsFor: 'as yet unclassified' stamp: 'idl 6/12/2007 12:20'!
renderContentOn: html
		|cont robo|
	     html anchor callback: [	self call: (AdminView new).]; with: 'Voltar a tela de administracao'. 
		html break.
		html break.
		robo:= Robo getInstance.
		robo mensagens = nil ifTrue:[
			html strong:'Sem mensagens ate o momento!!.'
		] ifFalse:[
			cont:=1.
			[(cont < robo mensagens size) & (cont< 20)]whileTrue:[
				html strong:(robo mensagens at: cont) printString.
				cont:= cont+1.
				html break.
		].
		].! !
